Retrieve user's transaction summary
curl --request GET \
--url https://staging-biz.coinprofile.co/v2/transaction/summary \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-User: <api-key>' \
--header 'X-User-Version: <api-key>'import requests
url = "https://staging-biz.coinprofile.co/v2/transaction/summary"
headers = {
"X-Api-User": "<api-key>",
"X-Api-Key": "<api-key>",
"X-User-Version": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Api-User': '<api-key>',
'X-Api-Key': '<api-key>',
'X-User-Version': '<api-key>'
}
};
fetch('https://staging-biz.coinprofile.co/v2/transaction/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"txn": {
"data": [
{
"currency": "<string>",
"version": "<string>",
"transactionId": "<string>",
"sender": "<string>",
"isFromRegUser": true,
"prevBalance": 123,
"senderPrevbalance": 123,
"type": "<string>",
"status": "<string>",
"businessId": "<string>",
"date": "<string>",
"fromCurrency": "<string>",
"fromAmount": 123,
"amount": 123,
"username": "<string>",
"fee": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"perPage": 123,
"page": 123,
"pages": 123
},
"summary": {
"volume": 123,
"txnCount": 123,
"duration": 123
}
}
}Offramp
Retrieve user's transaction summary
Retrieves all user transactions summary
GET
/
transaction
/
summary
Retrieve user's transaction summary
Authorizations
Query Parameters
Currency for which transactions are to be retrieved. When this is not supplied, transactions will be retrieved for all available currencies.
Available options:
NGN, USD Type of transactions to be retrieved. When this is not supplied, transactions will be retrieved for all available types.
Available options:
deposit, withdrawal, sent, transfer, internalTransfer, conversion Number of pages to be retrieved.
Number of transaction records to be retrieved per page page.
Duration of the transaction to be retrieved per page page.
Available options:
one day, one week, one month, one year Was this page helpful?
⌘I